Tests

Retrieving tests

Retrieving tests list

get

Returns many tests.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
orderingstring · enumOptionalPossible values:
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

querystringOptional

Search in names with the following query

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
get
/api/v2/tests/

Create a new test

post

Create test.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Body
namestring · max: 255 · nullableOptional
screenSizeTypestring · enumOptional
  • desktop - Desktop
  • mobile - Mobile
  • custom - Custom
Possible values:
notesstring · nullableOptional
Responses
post
/api/v2/tests/

Retrieving test by ID

get

Returns a single test.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this test.

Responses
200Success
application/json
idstring · uuidRead-onlyRequired
namestring · max: 255Optional
groupsstringRead-onlyRequired
notesstring · nullableRead-onlyRequired
screenSizeTypestring · enumRead-onlyRequired
  • desktop - Desktop
  • mobile - Mobile
  • custom - Custom
Possible values:
get
/api/v2/tests/{id}/

Retrieve a test by its ID and remove it

delete

Remove a test.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this test.

Responses
delete
/api/v2/tests/{id}/

No content

Retrieve a test by its ID and update details

patch

Updates test details.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this test.

Body
namestring · max: 255 · nullableOptional
screenSizeTypestring · enumOptional
  • desktop - Desktop
  • mobile - Mobile
  • custom - Custom
Possible values:
notesstring · nullableOptional
Responses
200Success
application/json
idstring · uuidRead-onlyRequired
namestring · max: 255Optional
groupsstringRead-onlyRequired
notesstring · nullableRead-onlyRequired
screenSizeTypestring · enumRead-onlyRequired
  • desktop - Desktop
  • mobile - Mobile
  • custom - Custom
Possible values:
patch
/api/v2/tests/{id}/

Insert a component into a test by test ID

post

Insert a component into a test.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this test.

Body
groupIdstring · uuidRequired
atIndexinteger · nullableOptional
Responses
post
/api/v2/tests/{id}/insert-component/

Unlink a component from a test by test ID

post

Unlink a component from a test.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this test.

Body
groupIdstring · uuidRequired
Responses
200Success
application/json
idstring · uuidRead-onlyRequired
namestring · max: 255Optional
groupsstringRead-onlyRequired
notesstring · nullableRead-onlyRequired
screenSizeTypestring · enumRead-onlyRequired
  • desktop - Desktop
  • mobile - Mobile
  • custom - Custom
Possible values:
post
/api/v2/tests/{id}/unlink-component/

Move a step to a different position or group

post

Update the position of a step within a test.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this test.

Body
stepIdstring · uuidRequired
groupIdstring · uuidOptional
atIndexintegerOptional
blockIdstring · nullableOptional
Responses
200

No response body

No content

post
/api/v2/tests/{id}/update-step-position/

No content

Last updated

Was this helpful?